from GUI import Window, Button, application

def say_hello():
  print "Hello, world!"
  btn2.enabled = 1

def say_goodbye():
  print "Goodbye, world!"
  btn2.enabled = 0

def simulate_hello():
    btn1.activate()

btn1 = Button(position = (30, 30), width = 80, 
    title = "Hello", action = say_hello, style = 'default')
    
btn2 = Button(x = 30, y = btn1.bottom + 30, width = 80, 
    title = "Goodbye", action = say_goodbye, enabled = 0)

btn3 = Button(x = 30, y = btn2.bottom + 30, width = 80,
    title = "Gidday", action = simulate_hello)
    
win = Window(width = 140, height = btn3.bottom + 30, title = "Btns", 
    resizable = 0, zoomable = 0)
    
win.add(btn1)
win.add(btn2)
win.add(btn3)
win.show()

application().run()
